# Interface AsyncIteratorObject<T, TReturn, TNext>

Describes an AsyncIterator produced by the runtime that inherits from the intrinsic `AsyncIterator.prototype`.

#### Type Parameters

- #### T

- #### TReturn = unknown

- #### TNext = unknown

#### Hierarchy

- AsyncIterator<T, TReturn, TNext>
  - AsyncIteratorObject
    - AsyncGenerator

#####
Index

### Methods

[asyncIterator]
next
return?
throw?

## Methods

### [asyncIterator]

- [asyncIterator](): AsyncIteratorObject<T, TReturn, TNext>

- #### Returns AsyncIteratorObject<T, TReturn, TNext>

### next

- next(...__namedParameters): Promise<IteratorResult<T, TReturn>>

- #### Parameters

  - ##### `Rest` ...__namedParameters: [] | [TNext]

  #### Returns Promise<IteratorResult<T, TReturn>>

  Inherited from AsyncIterator.next

### `Optional` return

- return(value?): Promise<IteratorResult<T, TReturn>>

- #### Parameters

  - ##### `Optional` value: TReturn | PromiseLike<TReturn>

  #### Returns Promise<IteratorResult<T, TReturn>>

  Inherited from AsyncIterator.return

### `Optional` throw

- throw(e?): Promise<IteratorResult<T, TReturn>>

- #### Parameters

  - ##### `Optional` e: any

  #### Returns Promise<IteratorResult<T, TReturn>>

  Inherited from AsyncIterator.throw

Generated using TypeDoc